=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2009-06-24 01:50:08 +0000
+++ loggerhead/templatefunctions.py	2009-06-24 02:13:26 +0000
@@ -169,6 +169,20 @@
         versions.append(('Pygments', pygments.__version__))
 
         try:
+            import bzrlib.plugins.search
+        except ImportError:
+            pass
+        else:
+            bzr_search_version = bzrlib._format_version_tuple(
+                bzrlib.plugins.search.version_info)
+            versions.append(('bzr-search', bzr_search_version))
+
+        # TODO: On old Python versions, elementtree may be used.
+
+        import setuptools
+        versions.append(('setuptools', setuptools.__version__))
+
+        try:
             import simplejson
         except ImportError:
             pass
@@ -176,6 +190,13 @@
             versions.append(('simplejson', simplejson.__version__))
 
         try:
+            guppy = pkg_resources.get_distribution('guppy')
+        except pkg_resources.DistributionNotFound:
+            pass
+        else:
+            versions.append(('Guppy', guppy.version))
+
+        try:
             Dozer = pkg_resources.get_distribution('Dozer')
         except pkg_resources.DistributionNotFound:
             pass

